# Uses of Interface
org.apache.lucene.search.CheckedIntConsumer

Packages that use CheckedIntConsumer
Package
Description
org.apache.lucene.search
Code to search indices.

## Uses of CheckedIntConsumer in org.apache.lucene.search

Methods in org.apache.lucene.search with parameters of type CheckedIntConsumer
Modifier and Type
Method
Description
`abstract void`
DocIdStream.`forEach(CheckedIntConsumer<IOException> consumer)`
Iterate over doc IDs contained in this stream in order, calling the given `CheckedIntConsumer` on them.